From 17cf29ccc57ff4af40c302c47ad6f326431a4234 Mon Sep 17 00:00:00 2001
From: Andy Postnikov <apostnikov@gmail.com>
Date: Thu, 30 Jul 2020 01:36:38 +0300
Subject: [PATCH] Split issue067 test for 32 bits

---
 tests/issue067.phpt       |  2 ++
 tests/issue067_32bit.phpt | 22 ++++++++++++++++++++++
 2 files changed, 24 insertions(+)
 create mode 100644 tests/issue067_32bit.phpt

diff --git a/tests/issue067.phpt b/tests/issue067.phpt
index b1f4a46..01259fc 100644
--- a/tests/issue067.phpt
+++ b/tests/issue067.phpt
@@ -5,6 +5,8 @@ Issue #67 (uint64_t)
 if (!extension_loaded("msgpack")) {
     die("skip");
 }
+if (PHP_INT_SIZE !== 8)
+    die("skip this test is for 64-bit platforms only");
 ?>
 --FILE--
 <?php
diff --git a/tests/issue067_32bit.phpt b/tests/issue067_32bit.phpt
new file mode 100644
index 0000000..cf6c6c2
--- /dev/null
+++ b/tests/issue067_32bit.phpt
@@ -0,0 +1,22 @@
+--TEST--
+Issue #67 (uint64_t)
+--SKIPIF--
+<?php
+if (!extension_loaded("msgpack")) {
+    die("skip");
+}
+if (PHP_INT_SIZE !== 4)
+    die("skip this test is for 32-bit platforms only");
+?>
+--FILE--
+<?php
+var_dump(msgpack_unpack("\xcf"."\x7f\xff\xff\xff"."\xff\xff\xff\xff"));
+var_dump(msgpack_unpack("\xcf"."\x80\x00\x00\x00"."\x00\x00\x00\x00"));
+var_dump(msgpack_unpack("\xcf"."\xff\xff\xff\xff"."\xff\xff\xff\xff"));
+?>
+OK
+--EXPECT--
+string(19) "9223372036854775807"
+string(19) "9223372036854775808"
+string(20) "18446744073709551615"
+OK
